Summary:	Open Scene Graph - real-time visualization library
Summary(pl.UTF-8):	Open Scene Graph - biblioteka do wizualizacji
Name:		OpenSceneGraph
Version:	3.3.0
Release:	1
License:	OpenSceneGraph Public Licence (based on LGPL with exceptions)
Group:		X11/Libraries
Source0:	http://www.openscenegraph.org/downloads/developer_releases/%{name}-%{version}.zip
# Source0-md5:	6304eff3fe5f8c7ee1a75f6a1901e7fa
#Source1:	osg-doxygen-0.9.1.tar.gz
## Source1-md5:	7e6d785d1b763aaeae03c2dc4c148805
URL:		http://www.openscenegraph.org/projects/osg/
BuildRequires:	QtCore-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	freetype-devel
BuildRequires:	giflib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtkglext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	unzip
#BuildRequires:	xulrunner-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the
real-time visualization.

%description -l pl.UTF-8
Open Scene Graph to wieloplatformowa oparta o C++ i OpenGL biblioteka
do wizualizacji w czasie rzeczywistym.

%package devel
Summary:	Header files for Open Scene Graph
Summary(pl.UTF-8):	Pliki nagłówkowe dla Open Scene Graph
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers file for OSD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki Open Scene Graph.

%package examples
Summary:	Examples for Open Scene Graph
Summary(pl.UTF-8):	Przykłady dla Open Scene Graph
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description examples
Examples for Open Scene Graph Library.

%description examples -l pl.UTF-8
Przykłady dla biblioteki Open Scene Graph.

%package plugins
Summary:	Plugins for Open Scene Graph
Summary(pl.UTF-8):	Wtyczki dla biblioteki Open Scene Graph
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description plugins
Plugins for Open Scene Graph library.

%description plugins -l pl.UTF-8
Wtyczki dla biblioteki Open Scene Graph.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -a examples/osg* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOpenThreads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenThreads.so.14
%attr(755,root,root) %{_libdir}/libosg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosg.so.110
%attr(755,root,root) %{_libdir}/libosgAnimation.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgAnimation.so.110
%attr(755,root,root) %{_libdir}/libosgDB.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgDB.so.110
%attr(755,root,root) %{_libdir}/libosgFX.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgFX.so.110
%attr(755,root,root) %{_libdir}/libosgGA.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgGA.so.110
%attr(755,root,root) %{_libdir}/libosgManipulator.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgManipulator.so.110
%attr(755,root,root) %{_libdir}/libosgParticle.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgParticle.so.110
%attr(755,root,root) %{_libdir}/libosgPresentation.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgPresentation.so.110
%attr(755,root,root) %{_libdir}/libosgQt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgQt.so.110
%attr(755,root,root) %{_libdir}/libosgShadow.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgShadow.so.110
%attr(755,root,root) %{_libdir}/libosgSim.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgSim.so.110
%attr(755,root,root) %{_libdir}/libosgTerrain.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgTerrain.so.110
%attr(755,root,root) %{_libdir}/libosgText.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgText.so.110
%attr(755,root,root) %{_libdir}/libosgUtil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgUtil.so.110
%attr(755,root,root) %{_libdir}/libosgViewer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgViewer.so.110
%attr(755,root,root) %{_libdir}/libosgVolume.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgVolume.so.110
%attr(755,root,root) %{_libdir}/libosgWidget.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosgWidget.so.110

%files plugins
%defattr(644,root,root,755)
%dir %{_libdir}/osgPlugins-%{version}
%attr(755,root,root) %{_libdir}/osgPlugins-%{version}/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOpenThreads.so
%attr(755,root,root) %{_libdir}/libosg.so
%attr(755,root,root) %{_libdir}/libosgAnimation.so
%attr(755,root,root) %{_libdir}/libosgDB.so
%attr(755,root,root) %{_libdir}/libosgFX.so
%attr(755,root,root) %{_libdir}/libosgGA.so
%attr(755,root,root) %{_libdir}/libosgManipulator.so
%attr(755,root,root) %{_libdir}/libosgParticle.so
%attr(755,root,root) %{_libdir}/libosgPresentation.so
%attr(755,root,root) %{_libdir}/libosgQt.so
%attr(755,root,root) %{_libdir}/libosgShadow.so
%attr(755,root,root) %{_libdir}/libosgSim.so
%attr(755,root,root) %{_libdir}/libosgTerrain.so
%attr(755,root,root) %{_libdir}/libosgText.so
%attr(755,root,root) %{_libdir}/libosgUtil.so
%attr(755,root,root) %{_libdir}/libosgViewer.so
%attr(755,root,root) %{_libdir}/libosgVolume.so
%attr(755,root,root) %{_libdir}/libosgWidget.so
%{_includedir}/OpenThreads
%{_includedir}/osg*
%{_pkgconfigdir}/openscenegraph.pc
%{_pkgconfigdir}/openthreads.pc
%{_pkgconfigdir}/openscenegraph-osg.pc
%{_pkgconfigdir}/openscenegraph-osgAnimation.pc
%{_pkgconfigdir}/openscenegraph-osgDB.pc
%{_pkgconfigdir}/openscenegraph-osgFX.pc
%{_pkgconfigdir}/openscenegraph-osgGA.pc
%{_pkgconfigdir}/openscenegraph-osgManipulator.pc
%{_pkgconfigdir}/openscenegraph-osgParticle.pc
%{_pkgconfigdir}/openscenegraph-osgQt.pc
%{_pkgconfigdir}/openscenegraph-osgShadow.pc
%{_pkgconfigdir}/openscenegraph-osgSim.pc
%{_pkgconfigdir}/openscenegraph-osgTerrain.pc
%{_pkgconfigdir}/openscenegraph-osgText.pc
%{_pkgconfigdir}/openscenegraph-osgUtil.pc
%{_pkgconfigdir}/openscenegraph-osgViewer.pc
%{_pkgconfigdir}/openscenegraph-osgVolume.pc
%{_pkgconfigdir}/openscenegraph-osgWidget.pc

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Nov 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/OpenSceneGraph.git;a=log;h=master

* Tue Nov 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4eba6a0
- up to 3.3.0

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 92c9b83
- release 2 (by relup.sh)

* Fri Mar 29 2013 Mateusz Korniak <matkor@pld-linux.org> 595b0ae
- Release 1. Confirmed to work with FlighGear.

* Sat Mar 23 2013 Bartek Szady <bszx@pld-linux.org> d198b3c
- updated to 3.1.5. Works with ffmpeg 1.1.3

* Tue May 29 2012 Szymon Siwek <sls@pld-linux.org> df9ee0b
- more BR for qt

* Wed May 23 2012 Szymon Siwek <sls@pld-linux.org> 5ecf278
- packaged all pkgconfig files

* Wed May 23 2012 Szymon Siwek <sls@pld-linux.org> 7362f54
- updated sonames
- packaged Presentation and Qt libs

* Wed May 23 2012 Szymon Siwek <sls@pld-linux.org> d603df5
- rm link.patch; added xine12.patch

* Wed May 23 2012 Szymon Siwek <sls@pld-linux.org> 7a7e0a8
- ver. 3.0.1

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> b82b787
- new Source0 URL

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 6d31e55
- link with -ldl

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 82ff5fc
- updated to 2.8.4
- drop cmake options provided by cmake macro
- add -link.patch which fixes linking

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> ea82ecb
- marked pl description as UTF-8

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 101ff35
- marked pl summary as UTF-8

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> f62d9f8
- obsoleted

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> 1f26898
- notice -libpng.patch removal

* Wed Apr 07 2010 lisu <lisu@pld-linux.org> 30ec309
- up to 2.8.3
- sonames up to .65
- adapter
- libpng.patch is now obsolete

* Mon Mar 01 2010 lisu <lisu@pld-linux.org> 38bc63e
- fix build with new libpng

* Mon Mar 01 2010 lisu <lisu@pld-linux.org> c80298d
- fix build with new libpng (-libpng.patch)

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> 21b804c
- BR: cairo-devel, gtk+2-devel, gtkglext-devel, librsvg-devel, poppler-glib-devel

